/**
 * Donjon & Cie - Systeme FoundryVTT
 *
 * Donjon & Cie est un jeu de role edite par John Doe.
 * Ce systeme FoundryVTT est une implementation independante et n'est pas
 * affilie a John Doe.
 *
 * @author    LeRatierBretonnien
 * @copyright 2025–2026 LeRatierBretonnien
 * @license   CC BY-NC-SA 4.0 – https://creativecommons.org/licenses/by-nc-sa/4.0/
 */

import BaseItemDataModel from "./base-item.mjs";

export default class ArmeDataModel extends BaseItemDataModel {
  static defineSchema() {
    const fields = foundry.data.fields;
    return {
      ...super.defineSchema(),
      categorie: new fields.StringField({ initial: "melee" }),
      caracteristique: new fields.StringField({ initial: "force" }),
      degats: new fields.StringField({ initial: "1d6" }),
      degatsEstUsageDe: new fields.BooleanField({ initial: false }),
      degatsDelta: new fields.NumberField({ initial: 0, integer: true, min: 0 }),
      munitionsDelta: new fields.NumberField({ initial: 0, integer: true, min: 0 }),
      portee: new fields.StringField({ initial: "" }),
      mains: new fields.NumberField({ initial: 1, integer: true }),
      equipee: new fields.BooleanField({ initial: false })
    };
  }
}
